#!/usr/local/bin/wish

set font [lsearch $argv "-font"]
if { $font != -1 } {
    set font [lindex $argv [ expr 1 + $font]]
}

frame .f1 -relief raised -bd 4
frame .f2
pack .f1 -fill x
pack .f2 -side top -fill x

button .f1.b -text "exit" -relief flat -justify left -command {exit} -padx 0 -pady 0
if { $font != -1 } { .f1.b config -font $font }
pack .f1.b -side left

label .f2.l -text "strip mouseboard\n\n" -justify left
if { $font != -1 } { .f2.l config -font $font }
pack .f2.l -side left

button .space -text "Space" -command { puts -nonewline " "; flush stdout }
set bg [.space cget -background]
.space config -activebackground $bg 
pack .space -side left -expand 1 -fill both
if { $font != -1 } { .space config -font $font }

foreach i { a b c d e f g h i j k l m n o p q r s t u v w x y z } {
    button .$i -text "$i" -command "puts -nonewline $i; flush stdout" -activebackground $bg -padx 0 -width 2
    if { $font != -1 } { .$i config -font $font }
    pack .$i -side left -expand 1 -fill both
}



